Automette docs

Get a tool job

GET
/api/v1/tool_jobs/{id}

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key from API Keys in the dashboard menu.

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/tool_jobs/string"
{  "id": "string",  "self": "string",  "tool": "string",  "status": "pending",  "origin": "string",  "data": {},  "result": {},  "error": "string",  "code": "string",  "credits_used": 0,  "created_at": "2019-08-24T14:15:22Z",  "started_at": "2019-08-24T14:15:22Z",  "completed_at": "2019-08-24T14:15:22Z"}